SDL_GetRectIntersectionFloat(3)

NAME
SDL_GetRectIntersectionFloat - Calculate the intersection of two rectangles with float precision.

HEADER FILE
Defined in SDL3/SDL_rect.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_GetRectIntersectionFloat(const SDL_FRect * A,
                            const SDL_FRect * B,
                            SDL_FRect * result);

DESCRIPTION
If result is NULL then this function will return SDL_FALSE .

FUNCTION PARAMETERS

A   an SDL_FRect
     structure representing the first rectangle

B   an SDL_FRect
     structure representing the second rectangle

result
    an SDL_FRect
     structure filled in with the intersection of rectangles A and B

RETURN VALUE
Returns SDL_TRUE
 if there is an intersection, SDL_FALSE
 otherwise.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_HasRectIntersectionFloat(3)